#[derive(Hash, Clone, PartialEq, Eq)]
pub enum Kind {
    Playlist,
    Album,
    Song,
    Artist,
}

#[derive(Hash, Clone, PartialEq, Eq)]
pub struct Entry {
    kind: Kind,
    title: String,
    image: Option<()>,
}

impl Entry {
    pub fn new(kind: Kind, title: &str, img: Option<()>) -> Self {
        Self {
            kind,
            title: title.to_owned(),
            image: img,
        }
    }
}
